BLOCKDEV(8)

NAZWA
blockdev - wywołuje ioctl urządzenia blokowego z wiersza poleceń

SKŁADNIA

blockdev [-q] [-v] polecenie [polecenie...] urządzenie [urządzenie...]

blockdev --report [urządzenie...]

blockdev -h|-V

OPIS

Narzędzie blockdev pozwala na wywołanie ioctl-i urządzenia blokowego z wiersza poleceń.

OPCJE

-q
    Tryb cichy.

-v
    Więcej szczegółów.

--report
    Wypisuje podsumowanie podanego urządzenia. Można podać wiele urządzeń. Jeśli nie poda się żadnego, pokazywane są wszystkie urządzenia obecne w pliku /proc/partitions. Proszę zauważyć, że StartSec (sektor początkowy) partycji jest podawany w 512-bajtowych sektorach.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

POLECENIA

Można podać wiele urządzeń i wiele poleceń.

--flushbufs
    Opróżnia bufory.

--getalignoff
    Pobiera przesunięcie wyrównania.

--getbsz
    Wypisuje rozmiar bloku (blocksize) w bajtach. Rozmiar ten nie opisuje topologii urządzenia. Jest używany wewnętrznie przez jądro i może ulec zmianie (na przykład) poprzez sterownik systemu plików przy montowaniu.

--getdiscardzeroes
    Pobiera status obsługi usuwania zerami.

--getdiskseq
    Pobiera numer sekwencji dysku.

--getzonesz
    Pobiera rozmiar strefy w 512 bajtowych sektorach.

--getfra
    Pobiera odczyt z wyprzedzeniem (readahead) systemu plików w 512 bajtowych sektorach.

--getiomin
    Pobiera najmniejszy rozmiar wejścia/wyjścia.

--getioopt
    Pobiera optymalny rozmiar wejścia/wyjścia.

--getmaxsect
    Pobiera maksymalną liczbę sektorów na żądanie.

--getpbsz
    Pobiera rozmiar bloku fizycznego (sektora).

--getra
    Wypisuje odczyt z wyprzedzeniem (readahead; w 512 bajtowych sektorach).

--getro
    Pobiera status tylko do odczytu. Wypisuje 1 jeśli urządzenie jest tylko do odczytu lub 0 w innym przypadku.

--getsize64
    Wypisuje rozmiar urządzenia w bajtach.

--getsize
    Wypisuje rozmiar urządzenia (32-bitowy) w sektorach. Przestarzałe na rzecz opcji --getsz.

--getss
    Wypisuje rozmiar sektora logicznego w bajtach - zwykle 512.

--getsz
    Pobiera rozmiar w sektorach 512 bajtowych.

--rereadpt
    Odczytuje ponownie tablicę partycji.

--setbsz bajtów
    Ustawia rozmiar bloku (blocksize). Rozmiar bloku jest właściwy bieżącemu deskryptorowi pliku otwierającemu urzadzenie blokowe, więc zmiana rozmiaru bloku jest trwała tylko do momentu utrzymania otwartego urządzenia przez blockdev i zanika po zakończeniu blockdev.

--setfra sektory
    Ustawia odczyt z wyprzedzeniem (readahead) systemu plików (równoważne --setra na jądrach 2.6).

--setra sektory
    Ustawia odczyt z wyprzedzeniem (readahead; w 512 bajtowych sektorach)

--setro
    Ustawia status tylko do odczytu. Aktualnie aktywny dostęp do urządzenia może nie być dotknięty tą zmianą. Na przykład nie ma to wpływu na system plików już zamontowany w trybie do zapisu i odczytu. Zmiana zostanie zastosowana po ponownym zamontowaniu (przemontowaniu).

--setrw
    Ustawia status do odczytu i zapisu.

AUTORZY

blockdev został napisany przez Andriesa E. Brouwera i przepisany przez Karela Zaka.

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie blockdev jest częścią pakietu util-linux, który można pobrać ze strony